> ## Documentation Index
> Fetch the complete documentation index at: https://crm-integrations.ask-wire.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a property

> Delete a manually managed property record by its Ask Wire ID.

## Overview

Permanently deletes a property record by its Ask Wire `id`. This is a hard delete — a subsequent `GET` on the same ID returns `404` with `{"detail": "No Asset matches the given query."}`. This cannot be undone.

***

## Path parameters

| Parameter | Type    | Description                            |
| --------- | ------- | -------------------------------------- |
| `assetId` | integer | Ask Wire ID of the property to delete. |

***

## Example request

```bash theme={null}
curl -X DELETE "https://pandora.ask-wire.com/api/assets/4521/" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

***

## Response

Returns a confirmation message, not the deleted record. Verified against a live response:

```json theme={null}
{
  "detail": "Assets successfully deleted."
}
```

| Field    | Type   | Description           |
| -------- | ------ | --------------------- |
| `detail` | string | Confirmation message. |


## OpenAPI

````yaml DELETE /api/assets/{assetId}/
openapi: 3.1.0
info:
  title: Properties API
  version: 1.0.0
  description: Public properties and foreclosure listings API
servers:
  - url: https://pandora.ask-wire.com
    description: Main API (Properties)
  - url: https://zeus.ask-wire.com
    description: Auth API
security:
  - bearerAuth: []
paths:
  /api/assets/{assetId}/:
    delete:
      summary: Delete a property
      operationId: deleteAsset
      parameters:
        - name: assetId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Confirmation message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteAssetResponse'
        '404':
          description: Not found
components:
  schemas:
    DeleteAssetResponse:
      type: object
      properties:
        detail:
          type: string
          example: Assets successfully deleted.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````